package com.energy.manage.service.domain.dto.windfield;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 导入参数
 */
@Data
@ApiModel("导入参数")
public class WindFieldImportDataDto {


    /**
     * 企业编号
     */
    @ApiModelProperty("企业编号")
    private String companyCode;
    /**
     * 省编号
     */
    @ApiModelProperty("省编号")
    private Integer provinceId;
    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;
    /**
     * 市编号
     */
    @ApiModelProperty("市编号")
    private Integer cityId;
    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;

    /**
     * 区号
     */
    @ApiModelProperty("区号")
    private String areaCode;








}
