package com.energy.manage.service.domain.dto.windfield;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("创建风场资源参数")
public class WindFieldResourceCreateDto {


    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 上传文件名称
     */
    @ApiModelProperty("上传文件名称")
    private String fileName;
    /**
     * 上传类型
     */
    @ApiModelProperty("上传类型")
    private String type;
    /**
     * 上传文件地址
     */
    @ApiModelProperty("上传文件地址")
    private String resourceUrl;



}
