package com.energy.manage.service.domain.vo.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 风机导入信息
 */
@Data
public class WindEngineGroupExcelVo {

    /**
     * 风场编号
     */
    @ExcelProperty(value = "风场编号", index = 1)
    private String fieldCode;

    /**
     * 风机名称
     */
    @ExcelProperty(value = "风机名称", index = 2)
    private String engineName;
    /**
     * 机型编号
     */
    @ExcelProperty(value = "机型编号", index = 3)
    private String millTypeCode;
    /**
     * 额定容量
     */
    @ExcelProperty(value = "额定容量", index = 4)
    private String ratedCapacity;
    /**
     * 海拔高度
     */
    @ExcelProperty(value = "海拔高度", index = 5)
    private String elevationHeight;
    /**
     * 轮毂高度
     */
    @ExcelProperty(value = "轮毂高度", index = 6)
    private String hubHeight;
    /**
     * 经度
     */
    @ExcelProperty(value = "经度", index = 7)
    private String longitude;
    /**
     * 维度
     */
    @ExcelProperty(value = "维度", index = 8)
    private String latitude;
    /**
     * 状态
     */
    @ExcelProperty(value = "状态", index = 9)
    private Integer state;
    /**
     * 是否标杆风机
     */
    @ExcelProperty(value = "是否标杆风机", index = 10)
    private Integer sightcing;



}
