package com.energy.manage.service.service.system;


import com.energy.manage.common.base.BaseService;
import com.energy.manage.common.po.system.SysPermissionPO;
import com.energy.manage.service.domain.dto.system.RoleUpdateOrganizationDto;
import com.energy.manage.service.domain.vo.system.PermissionVo;
import com.energy.manage.service.domain.vo.system.SysRelationVo;

import java.util.List;

public interface SysPermissionService extends BaseService<SysPermissionPO> {

    boolean addPermission(SysPermissionPO po);

    boolean delPermission(SysPermissionPO po);

    boolean updatePermission(SysPermissionPO po);

    List<PermissionVo> getAllPermission();

    List<PermissionVo> getRolePermission(Integer roleId);

    List<SysRelationVo> getRoleOrganization(Integer roleId);

    List<PermissionVo> getRolePermissionByUserId(Integer userId);

    boolean updateRolePermission(Integer roleId, String permissionIds);

    boolean updateRoleOrganization(Integer roleId, List<RoleUpdateOrganizationDto.OrganizationCode> organizationCodes);

}
