package com.energy.manage.common.po.powerwordcriterion;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Data
@Table(name = "power_word_relation_criterion")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PowerWordCriterionPO extends NewBaseDomain {

    /**
     * 机型编号
     */
    private String millTypeCode;
    /**
     * 风速
     */
    private String windSpeed;
    /**
     * 有功功率
     */
    private String activePower;
    /**
     * 空气密度
     */
    private String density;
    /**
     * 删除状态
     */
    private Integer delState;


}
